
package de.ivu.elect.business.exchange.control;

import javax.ejb.ApplicationException;

@ApplicationException
public class IllegalExchangeContextException extends RuntimeException {

  private static final long serialVersionUID = 1L;

  public IllegalExchangeContextException(String message) {
    super(message);
  }

  public IllegalExchangeContextException(String message, Throwable cause) {
    super(message, cause);
  }

  public IllegalExchangeContextException(Throwable cause) {
    super(cause);
  }

  protected IllegalExchangeContextException(String message, Throwable cause, boolean enableSuppression,
      boolean writableStackTrace) {
    super(message, cause, enableSuppression, writableStackTrace);
  }
}
